import { Builder } from '@cloudbase/framework-core';
interface BuilderOptions {
    projectPath: string;
}
interface BuilderBuildOptions {
    dockerImage?: string;
    runtime?: string;
    entry?: string;
    path: string;
    name: string;
}
export declare class DenoBuilder extends Builder {
    constructor(options: BuilderOptions);
    build(localDir: string, options: BuilderBuildOptions): Promise<{
        containers: {
            name: string;
            options: {};
            source: string;
        }[];
        routes: {
            path: string;
            targetType: string;
            target: string;
        }[];
    }>;
}
export {};
//# sourceMappingURL=builder.d.ts.map